Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.opengl.renderer
Interface LineStripRenderer

All Known Implementing Classes:
  DefaultLineStripRenderer, QuadBasedLineStripRenderer

    public interface LineStripRenderer

The description of a class able to render line strips through OpenGL

Author:
  kevin

Method Summary
`boolean` | `applyGLLineFixes()` Check if we should apply default line fixes
`void` | `color(float r, float g, float b, float a)` Apply a colour to the next vertex
`void` | `end()` End the line strips
`void` | `setAntiAlias(boolean antialias)` Indicate whether antialiasing should be applied
`void` | `setLineCaps(boolean caps)` Indicate if we should render end caps
`void` | `setWidth(float width)` Set the width of the lines to be drawn
`void` | `start()` Start the line strips
`void` | `vertex(float x, float y)` Add a vertex

Method Detail

### applyGLLineFixes

    boolean applyGLLineFixes()

  Check if we should apply default line fixes

  Returns:
    True if we should apply GL fixes

### start

    void start()

  Start the line strips

### end

    void end()

  End the line strips

### vertex

    void vertex(float x,
                float y)

  Add a vertex

  Parameters:
    `x` - The x coordinate of the vertex
    `y` - The y coordinate of the vertex

### color

    void color(float r,
               float g,
               float b,
               float a)

  Apply a colour to the next vertex

  Parameters:
    `r` - The red component of the colour
    `g` - The green component of the colour
    `b` - The blue component of the colour
    `a` - The alpha component of the colour

### setWidth

    void setWidth(float width)

  Set the width of the lines to be drawn

  Parameters:
    `width` - The width of the lines to be drawn

### setAntiAlias

    void setAntiAlias(boolean antialias)

  Indicate whether antialiasing should be applied

  Parameters:
    `antialias` - True if antialiasing should be applied

### setLineCaps

    void setLineCaps(boolean caps)

  Indicate if we should render end caps

  Parameters:
    `caps` - True if we should render end caps

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.